package sgc.portal.cd.cd0204.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0204.dto.CD02040001USearch;
import sgc.portal.cd.cd0204.service.CD02040001UService;

@RestController
@RequestMapping("/cd/cd0204")
public class CD02040001UController {
    private final CD02040001UService service;

    public CD02040001UController(CD02040001UService service) {
        this.service = service;
    }
    
    //공사일보 세부현황 조회(당사출역)
    @PostMapping("/CD02040001U/selectConDayWrkManpwrComList")
    public List<EasyHashMap<String, Object>> selectConDayWrkManpwrComList(@RequestBody CD02040001USearch search) {
        return service.selectConDayWrkManpwrComList(search);
    }
    
    //공사일보 세부현황 조회(협력업체출역)
    @PostMapping("/CD02040001U/selectConDayWrkManpwrCvndList")
    public List<EasyHashMap<String, Object>> selectConDayWrkManpwrCvndList(@RequestBody CD02040001USearch search) {
        return service.selectConDayWrkManpwrCvndList(search);
    }
    
    //공사일보 세부현황 조회(장비투입)
    @PostMapping("/CD02040001U/selectConDayWrkEqpmList")
    public List<EasyHashMap<String, Object>> selectConDayWrkEqpmList(@RequestBody CD02040001USearch search) {
        return service.selectConDayWrkEqpmList(search);
    }
    
    //공사일보 세부현황 조회(자재반입)
    @PostMapping("/CD02040001U/selectConDayWrkBdmtList")
    public List<EasyHashMap<String, Object>> selectConDayWrkBdmtList(@RequestBody CD02040001USearch search) {
        return service.selectConDayWrkBdmtList(search);
    }
    
    //공사일보 세부현황 조회(Progress)
    @PostMapping("/CD02040001U/selectConDayWrkProgList")
    public List<EasyHashMap<String, Object>> selectConDayWrkProgList(@RequestBody CD02040001USearch search) {
        return service.selectConDayWrkProgList(search);
    }
   
}
